
=encoding utf8

=head1 NAME

Sidef::Types::Block::Block

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Block(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 &

    a & b

Returns the

Aliases: I<grep>

=cut

=head2 *

    a * b

Returns the

Aliases: I<repeat>

=cut

=head2 <<

    a << b

Returns the

Aliases: I<for>, I<each>, I<foreach>

=cut

=head2 >>

    a >> b

Returns the

Aliases: I<map>

=cut

=head2 Π

    Block.Π()

Returns the

Aliases: I<prod>

=cut

=head2 Σ

    Block.Σ()

Returns the

Aliases: I<sum>

=cut

=head2 ∘

    a ∘ b

Returns the

Aliases: I<compose>

=cut

=head2 array_identity

    Block.array_identity()

Returns the

=cut

=head2 cache

    Block.cache()

Returns the

=cut

=head2 call

    Block.call()

Returns the

=cut

=head2 cap

    Block.cap()

Returns the

Aliases: I<capture>

=cut

=head2 do

    Block.do()

Returns the

Aliases: I<run>

=cut

=head2 exec

    Block.exec()

Returns the

=cut

=head2 ffork

    Block.ffork()

Returns the

Aliases: I<start>

=cut

=head2 first

    Block.first()

Returns the

=cut

=head2 fork

    Block.fork()

Returns the

=cut

=head2 identity

    Block.identity()

Returns the

=cut

=head2 if

    Block.if()

Returns the

=cut

=head2 is_identity

    Block.is_identity()

Returns the

=cut

=head2 list_identity

    Block.list_identity()

Returns the

=cut

=head2 loop

    Block.loop()

Returns the

=cut

=head2 new

    Block.new()

Returns the

=cut

=head2 nth

    Block.nth()

Returns the

=cut

=head2 null_identity

    Block.null_identity()

Returns the

=cut

=head2 thr

    Block.thr()

Returns the

Aliases: I<thread>

=cut

=head2 to_s

    Block.to_s()

Returns the

Aliases: I<dump>, I<to_str>

=cut

=head2 uncache

    Block.uncache()

Returns the

=cut

=head2 while

    Block.while()

Returns the

=cut
